import 'package:zhiying_comm/zhiying_comm.dart';

class SettingPageStyleItemModel extends SkipModel {
  String name;
  String nameColor;
  String desc;
  String descColor;

  SettingPageStyleItemModel(
      {this.name, this.nameColor, this.desc, this.descColor});

  SettingPageStyleItemModel.fromJson(Map<String, dynamic> json) {
    super.fromJson(json);
    name = json['name'];
    nameColor = json['name_color'];
    desc = json['desc'];
    descColor = json['desc_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['name'] = this.name;
    data['name_color'] = this.nameColor;
    data['desc'] = this.desc;
    data['desc_color'] = this.descColor;
    return data;
  }
}
